Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.utils
Class ServiceUtils

    java.lang.Object
      com.tibco.bpm.web.client.services.utils.ServiceUtils

    public class ServiceUtils

extends java.lang.Object

Utility class for modifying the endpoint of the specified service.

Constructor Summary
`ServiceUtils()`

Method Summary
`static java.lang.String` | `getClientContext()`
`static java.lang.String` | `getServerBaseEndPoint()`
`static java.lang.String` | `getServerContext()`
`static void` | `modifyServiceEndPoint(java.lang.String targetURL, java.lang.String serviceName, com.google.gwt.user.client.rpc.ServiceDefTarget target)` Modifies the endpoint of the specified service with the supplied URL and serviceName.
`static void` | `setContext(java.lang.String clientContext, java.lang.String serverContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceUtils

    public ServiceUtils()

Method Detail

### modifyServiceEndPoint

    public static void modifyServiceEndPoint(java.lang.String targetURL,
                                             java.lang.String serviceName,
                                             com.google.gwt.user.client.rpc.ServiceDefTarget target)

  Modifies the endpoint of the specified service with the supplied URL and serviceName.

  Parameters:
    `targetURL` - the base URL of the target service (i.e "http://localhost:8080/bpm")
    `serviceName` - the serviceName of the service to clal ( i.e. "dispatch" )
    `target` - the service target to modify
  See Also:
    `ServiceDefTarget`

### setContext

    public static void setContext(java.lang.String clientContext,
                                  java.lang.String serverContext)

### getClientContext

    public static java.lang.String getClientContext()

### getServerContext

    public static java.lang.String getServerContext()

### getServerBaseEndPoint

    public static java.lang.String getServerBaseEndPoint()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.